From f543891cb153d0fba0bd445d173c87fa261caecf Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 31 Oct 2016 15:55:52 +0100
Subject: [PATCH 3/5] Use my instead of local

Local variables in the subroutine scope should use my and not local.
local creates variables across the scope of all called subroutines
as well which is not the intention here.
---
 src/backend/utils/mb/Unicode/convutils.pm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/mb/Unicode/convutils.pm b/src/backend/utils/mb/Unicode/convutils.pm
index 7561aca..6668397 100644
--- a/src/backend/utils/mb/Unicode/convutils.pm
+++ b/src/backend/utils/mb/Unicode/convutils.pm
@@ -10,8 +10,8 @@ use strict;
 #
 sub ucs2utf
 {
-	local ($ucs) = @_;
-	local $utf;
+	my ($ucs) = @_;
+	my $utf;
 
 	if ($ucs <= 0x007f)
 	{
-- 
2.6.4 (Apple Git-63)

